<!-- <div class="wrapper">
    <div class="page-header" style="background-image: url('./assets/img/login-image.jpg');">
        <div class="filter"></div> -->
        <!-- <div class="container">
            <div class="row">
                <div class="col-lg-4 col-sm-6 mr-auto ml-auto"> -->
                    <!-- <div class="card card-register"> -->
                        <h3 class="text-center m-6">Welcome</h3>

                        <div *ngIf="auth.user$ | async as user; else login">
                                <pre>
                                  {{ user | json }}
                                </pre>
                                
                                <hr>
                                <button class="button" (click)="auth.signOut()">Sign Out</button>
                              
                        </div>

                        <ng-template #login>
                            <ul class="firebaseui-idp-list">
                                <li class="firebaseui-list-item">
                                    <button (click)="auth.googleSignin()"
                                        class="firebaseui-idp-button mdl-button mdl-js-button mdl-button--raised firebaseui-idp-google firebaseui-id-idp-button"
                                        data-provider-id="google.com" style="background-color:"
                                        data-upgraded=",MaterialButton"><span class="firebaseui-idp-icon-wrapper"><img
                                                class="firebaseui-idp-icon" alt=""
                                                src="assets/svg/google.svg"></span><span
                                            class="firebaseui-idp-text firebaseui-idp-text-long">Sign in with
                                            Google</span><span
                                            class="firebaseui-idp-text firebaseui-idp-text-short">Google</span>
                                    </button>
                                </li>
                                <li class="firebaseui-list-item">
                                    <button (click)="auth.facebookSignin()"
                                        class="firebaseui-idp-button mdl-button mdl-js-button mdl-button--raised firebaseui-idp-facebook firebaseui-id-idp-button"
                                        data-provider-id="facebook.com" style="background-color:"
                                        data-upgraded=",MaterialButton"><span class="firebaseui-idp-icon-wrapper"><img
                                                class="firebaseui-idp-icon" alt=""
                                                src="assets/svg/facebook.svg"></span><span
                                            class="firebaseui-idp-text firebaseui-idp-text-long">Sign in with
                                            Facebook</span><span
                                            class="firebaseui-idp-text firebaseui-idp-text-short">Facebook</span>
                                    </button>
                                </li>

                            </ul>
                        </ng-template>
                    <!-- </div> -->
                <!-- </div>
            </div> -->
            <!-- <div class="footer register-footer text-center">
                <h6>&copy;{{test | date: 'yyyy'}}, made with <i class="fa fa-heart heart"></i> by Creative Tim</h6>
            </div> -->
        <!-- </div>
    </div>
</div> -->